# Class: YARD::Parser::C::Comment

Inherits:
  Statement
  - Object
  - Statement
  - YARD::Parser::C::Comment
  show all

Includes:
  CommentParser

Defined in:
  lib/yard/parser/c/statement.rb

## Instance Attribute Summary collapse

- #overrides ⇒ Object

  Returns the value of attribute overrides.

- #statement ⇒ Object

  Returns the value of attribute statement.

- #type ⇒ Object

  Returns the value of attribute type.

## Instance Method Summary collapse

- #comments ⇒ Object
- #initialize(source, file = nil, line = nil) ⇒ Comment constructor

  A new instance of Comment.

### Methods included from CommentParser

#parse_comments

## Constructor Details

### #initialize(source, file = nil, line = nil) ⇒ `Comment`

Returns a new instance of Comment.

    58
    59
    60

    # File 'lib/yard/parser/c/statement.rb', line 58

    def initialize(source, file = nil, line = nil)
      super(parse_comments(source), file, line)
    end

## Instance Attribute Details

### #overrides ⇒ `Object`

Returns the value of attribute overrides.

    55
    56
    57

    # File 'lib/yard/parser/c/statement.rb', line 55

    def overrides
      @overrides
    end

### #statement ⇒ `Object`

Returns the value of attribute statement.

    56
    57
    58

    # File 'lib/yard/parser/c/statement.rb', line 56

    def statement
      @statement
    end

### #type ⇒ `Object`

Returns the value of attribute type.

    54
    55
    56

    # File 'lib/yard/parser/c/statement.rb', line 54

    def type
      @type
    end

## Instance Method Details

### #comments ⇒ `Object`

    62

    # File 'lib/yard/parser/c/statement.rb', line 62

    def comments; self end